<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <title>Taks 1</title>
    <link rel="stylesheet" href="css/normalize.css" />
    <link rel="stylesheet" href="css/style.css" />
  </head>
  <body>
    <div class="wrap" id="wrap">
        <h1>Добавление списка элементов по условию</h1>

        <header>
          <input type="text" placeholder="" id="Receiver"/>
          <input type="submit" value="Add" id="AddToList"/>
        </header>

        <div>
          <div id="error">

          </div>
          <ul id="list">

          </ul>
        </div>

    </div>
    <script>
      /*
        Задание:

          Написать скрипт, который будет добавлять введеный в инпут Receiver текст
          в список list.
          Если в списке больше 5 записей, убирать Event с кнопки AddToList.
          Кнопке AddToList добавить disabled = true

          После каждого ввода очищать значение инпута

          Используемые методы:

          addEventListener
          removeEventListener

          document.getElementById
          document.createElement

          element.innerText
          element.setAttribute
          element.appendChild

          Получить значение инпута: Receiver.value [Receiver - это id]

      */
        var btn = document.getElementById("AddToList");
        var list = document.getElementById("list");
        var ListCount = 0;
        
        console.log("global", ListCount);



        btn.addEventListener('click',addTextToList);

        function addTextToList() {

          var value = Receiver.value;
          Receiver.value = "";

          var li = document.createElement("li");
          li.innerText = value;
          list.appendChild(li);
          ListCount++;


          if (ListCount >= 5){
            btn.setAttribute("disabled","true");
            btn.removeEventListener('click',addTextToList);
          }

        }


    </script>
  </body>


</html>
